Bug 1575131 - Show a warning for unformatted /var
Summary: Show a warning for unformatted /var
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4683b74eb23d52639593b97a234...
: 1574917 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:23 UTC by morgan read
Modified: 2019-05-28 23:33 UTC (History)
19 users (show)

Fixed In Version: anaconda-30.18-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:33:30 UTC


Attachments (Terms of Use)
File: anaconda.log (112.22 KB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: dbus.log (3.13 KB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: dnf.librepo.log (2.56 MB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: environ (636 bytes, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: hawkey.log (63.16 KB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: lorax-packages.log (25.49 KB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: lsblk_output (4.46 KB, text/plain)
2018-05-04 20:23 UTC, morgan read
no flags Details
File: lvm.log (4.84 MB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: nmcli_dev_list (1.98 KB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: os_info (556 bytes, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: program.log (267.69 KB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: storage.log (833.66 KB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: syslog (2.61 MB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: ifcfg.log (2.49 KB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: packaging.log (137.77 KB, text/plain)
2018-05-04 20:24 UTC, morgan read
no flags Details
File: anaconda-tb (12.12 MB, text/plain)
2018-05-04 20:25 UTC, morgan read
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1574917 None CLOSED pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: ipa-common conflicts with (inst... 2019-05-30 10:11:36 UTC

Internal Links: 1574917

Description morgan read 2018-05-04 20:23:34 UTC
Description of problem:
It's not working...  Download rps and it stuffs up!

Version-Release number of selected component:
anaconda-28.22.10

The following was filed automatically by anaconda:
anaconda 28.22.10 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 965, in install
    raise payload.PayloadError(msg)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 361, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: sssd-common < 1.16.1-3.fc28 conflicts with sssd-nfs-idmap-1.16.1-3.fc28.x86_64Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 279, in do_transaction
    base.do_transaction(display=display)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 867, in do_transaction
    raise dnf.exceptions.TransactionCheckError(msg)
dnf.exceptions.TransactionCheckError: sssd-common < 1.16.1-3.fc28 conflicts with sssd-nfs-idmap-1.16.1-3.fc28.x86_64


Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-28 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Potential duplicate: bug 1514998

Comment 1 morgan read 2018-05-04 20:23:42 UTC
Created attachment 1431579 [details]
File: anaconda.log

Comment 2 morgan read 2018-05-04 20:23:43 UTC
Created attachment 1431580 [details]
File: dbus.log

Comment 3 morgan read 2018-05-04 20:23:52 UTC
Created attachment 1431581 [details]
File: dnf.librepo.log

Comment 4 morgan read 2018-05-04 20:23:53 UTC
Created attachment 1431582 [details]
File: environ

Comment 5 morgan read 2018-05-04 20:23:55 UTC
Created attachment 1431583 [details]
File: hawkey.log

Comment 6 morgan read 2018-05-04 20:23:57 UTC
Created attachment 1431584 [details]
File: lorax-packages.log

Comment 7 morgan read 2018-05-04 20:23:58 UTC
Created attachment 1431585 [details]
File: lsblk_output

Comment 8 morgan read 2018-05-04 20:24:13 UTC
Created attachment 1431586 [details]
File: lvm.log

Comment 9 morgan read 2018-05-04 20:24:16 UTC
Created attachment 1431587 [details]
File: nmcli_dev_list

Comment 10 morgan read 2018-05-04 20:24:17 UTC
Created attachment 1431588 [details]
File: os_info

Comment 11 morgan read 2018-05-04 20:24:19 UTC
Created attachment 1431589 [details]
File: program.log

Comment 12 morgan read 2018-05-04 20:24:23 UTC
Created attachment 1431590 [details]
File: storage.log

Comment 13 morgan read 2018-05-04 20:24:32 UTC
Created attachment 1431591 [details]
File: syslog

Comment 14 morgan read 2018-05-04 20:24:34 UTC
Created attachment 1431592 [details]
File: ifcfg.log

Comment 15 morgan read 2018-05-04 20:24:36 UTC
Created attachment 1431593 [details]
File: packaging.log

Comment 16 morgan read 2018-05-04 20:25:10 UTC
Created attachment 1431594 [details]
File: anaconda-tb

Comment 17 morgan read 2018-05-05 09:10:14 UTC
Similar problem has been detected:

Another attempted net install of f28 server...
This is becoming a joke
Perhaps the net install image should make it easier to access a previously downloaded image...
Or perhaps the live images should offer more options for install...
Anyway, it ain't working

addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-28 quiet
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
package:        anaconda-28.22.10
product:        Fedora
reason:         pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: sssd-common < 1.16.1-3.fc28 conflicts with sssd-nfs-idmap-1.16.1-3.fc28.x86_64Traceback (most recent call last):
release:        Cannot get release name.
version:        28

Comment 18 morgan read 2018-05-06 08:16:51 UTC
Similar problem has been detected:

Jesus wept!
This was just trying to install the simplest base system on which to build something that works and - guess what - it didn't work!!!
The install process of f28 has to be the most worst most broken experience I have had installing fedora since fc1!!!
For 3 days I've been trying to get my system back up and running - what on earth is going on!!!

addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-28 rd.live.check quiet linux repo=hd:sdc
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
package:        anaconda-28.22.10
product:        Fedora
reason:         pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: Transaction check error:
release:        Cannot get release name.
version:        28

Comment 19 Frantisek Hanzlik 2018-05-06 18:44:00 UTC
Similar problem has been detected:

installing F28/x86_64/MATE desktop via kickstart, crash occur.
hope this is only conflict between foomatic and foo2hiperc packages.

addons:         com_redhat_docker, com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-28 inst.ks=http://adm.hanzlici.cz/ks/28/tezap64-ks.cfg net.ifnames=0
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
package:        anaconda-28.22.10
product:        Fedora
reason:         pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: Transaction check error:
release:        Cannot get release name.
version:        28

Comment 20 Frantisek Hanzlik 2018-05-06 21:48:19 UTC
In this case, it seemss be conflict between foomatic-db and foo2hiperc packages:

rpm -Uv foo2hiperc-0.20170412-7.fc28.x86_64.rpm 
Preparing packages...
        file /usr/share/foomatic/db/source/driver/foo2hiperc-z1.xml from install of foo2hiperc-0.20170412-7.fc28.x86_64 conflicts with file from package foomatic-db-4.0-57.20180102.fc28.noarch

Comment 21 Jiri Konecny 2018-05-07 07:57:20 UTC
The main report is conflict which needs to be solved in the sssd package spec file.


For comment 20:
Frantisek please file a separate bug for the foomatic package.


Thank you both for these reports and sorry for this bad user experience. Fedora has thousands of packages and it is basically impossible to test every package combination.

Comment 22 Fabiano Fidêncio 2018-05-07 08:01:30 UTC
I wonder how it may happen on SSSD side as pretty much anything has changed for quite a while in the spec file.

Also, please, would be really helpful to have the steps to reproduce the issue.

Comment 23 Alexander Bokovoy 2018-05-07 08:05:00 UTC
This is another example of DNF failure:

DNF installation has ended up abruptly: sssd-common < 1.16.1-3.fc28 conflicts with sssd-nfs-idmap-1.16.1-3.fc28.x86_64



%package nfs-idmap
Summary: SSSD plug-in for NFSv4 rpc.idmapd
Group:  Applications/System
License: GPLv3+
Conflicts: sssd-common < %{version}-%{release}


How come 1.16.1-3.fc28 can be subject of this conflict for the sssd-nfs-idmap 1.16.1-3.fc28?

Comment 24 Jiri Konecny 2018-05-07 08:42:40 UTC
Not sure but maybe you are experiencing similar issue as described in bug 1574917.

Comment 25 morgan read 2018-05-07 13:33:32 UTC
OK folks, enough grumpy stuff - I think I might be able to shed some light on this and this Bug 1574917.

It's seems there's two problems and this is only the first...

My partitioning scheme:
/boot
/boot/efi
/
/home
/opt
/usr/local
/var
swap
(think that's it...)

After my first install - which went fine back Thursday 18.04.03 night - I rsynced my backups to:
/home
/opt
/usr/local
And...
/var

Then, I've been trying to do the install again - because I stuffed up some stuff in /etc with my back  up - and, it's not been working.  The reason for having those partitions separate is because there's stuff I'd like to preserve on them - of course.  So, naturally, I've not reformatted those partitions on subsequently.  Now, the install process requires a reformat of /, but - it does not require a reformat of /var...  And, so with every subsequent re-install attempt there's been the remnant rpms under /var/cache - which I suspect have been causing conflicts

If my guess is correct, then this is a but with Anaconda for not enforcing a reformat of /var on install...

The other bug is desperately slow mirrors which cause Anaconda to time-out on big installs like a net install of Workstation - and the failure to pick up the process where from where it bails out.  Thus causing wasted hours (a lot of them).

Yet another bug not, so closely related, is the failure of Anaconda to provide sensible options to locate a local iso.  When I used 'inst.askmethod' in the hope of accessing a downloaded Workstation live iso - the only partitions which were shown under Anaconda where /boot and /boot/efi.  Go figure!!!  They weren't even mounted.

Now, after repartitioning /var and attempting to install the smallest core only, I've succeeded in building a Workstation on top of that with my desired partitioning layout.

I'm not sure this is the way it should have been...

Comment 26 Fabiano Fidêncio 2018-05-07 13:36:16 UTC
I'm moving this bug back to anaconda as it doesn't seem related to SSSD.

Comment 27 Jiri Konecny 2018-05-07 14:26:43 UTC
Thank you morgan for debugging this. It is hard to spot this in logs.

In general this is tricky to solve. There are too many directories which you may want to keep without formatting and also directories which would result in an unbootable system or failed installation.

We can add partition containing this directory to the "reformat is mandatory" list. But I'm sure that there will be plenty of other directories elsewhere causing similar error.

Basically you always should format / /usr /var /etc ... but we don't want to enforce you to do so because there could be a valid reason to avoid formatting. Also if we did force the reformat on those partitions there will be user who would create separate partition for /var/cache or similar which will result in the same problem.

Comment 28 morgan read 2018-05-07 14:41:05 UTC
No worries - pleasure's all mine :)

I can see that it's a bit of a dog -> tail situation trying to keep up with what to enforce a reformat of - perhaps there could be some helpful words of wisdom somewhere just to stop anyone preserving /var/cache on a separate partition...

Re the second (third?) point above - not being able to mount a iso, or at least not being presented with somewhere sensible to look for an iso to mount - I realise that /boot and /boot/efi were probably under sysimage - but, any need for a separate bug for that?

Comment 29 Jiri Konecny 2018-05-09 09:10:28 UTC
(In reply to morgan read from comment #28)
> ...
> Re the second (third?) point above - not being able to mount a iso, or at
> least not being presented with somewhere sensible to look for an iso to
> mount - I realise that /boot and /boot/efi were probably under sysimage -
> but, any need for a separate bug for that?

Please file a separate bug for that issue. It would be most probably lost in this bug otherwise. Thank you.

Comment 30 friedman_a 2018-05-10 21:45:20 UTC
Similar problem has been detected:

I am setting up Fedora via Net Install ISO as Windows 10/Fedora dual boot on a Dell XPS 15 9560 2017 laptop. I selected the KDE Workstation package, with some extra software packages. Once the installation process gets to "Preparing transaction from installation source", I get is error pop up.

addons:         com_redhat_docker, com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-WS-dvd-x86_64-28 quiet nouveau.modeset=0
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
package:        anaconda-28.22.10
product:        Fedora
reason:         pyanaconda.payload.PayloadError: Payload error - DNF installation has ended up abruptly: Transaction check error:
release:        Cannot get release name.
version:        28

Comment 31 morgan read 2018-06-04 17:43:58 UTC
If Anaconda has the smarts to distinguish between system partitions and data portions - which it does - and refuses to allow an install without the repartition of '/', then it should at least flag a reparation of other system portions (eg /usr /var /etc /var/cache etc) by the default checking of the format check-box - even if the user can then uncheck it if they want.

Comment 32 Vendula Poncova 2018-11-12 14:43:37 UTC
*** Bug 1574917 has been marked as a duplicate of this bug. ***

Comment 33 Vendula Poncova 2019-01-02 18:07:08 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1747

Comment 34 Ben Cotton 2019-05-02 20:03:25 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 35 Ben Cotton 2019-05-28 23:33:30 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.